Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2)

Issue 2811593009: [Payments] move //components/payments/content/*.mojom files to //components/payments/mojom (Closed)

Created:
7 months, 1 week ago by gogerald1
Modified:
5 months, 1 week ago
CC:
chromium-reviews, qsr+mojo_chromium.org, viettrungluu+watch_chromium.org, yzshen+watch_chromium.org, kinuko+watch, jsbell+serviceworker_chromium.org, tzik, abarth-chromium, dglazkov+blink, darin-cc_chromium.org, blink-reviews, gogerald+paymentswatch_chromium.org, blink-worker-reviews_chromium.org, mlamouri+watch-content_chromium.org, nhiroki, rouslan+payments_chromium.org, haraken, michaeln, shimazu+serviceworker_chromium.org, serviceworker-reviews, blink-reviews-api_chromium.org, Aaron Boodman, kinuko+serviceworker, mahmadi+paymentswatch_chromium.org, horo+watch_chromium.org, darin (slow to review), sebsg+paymentswatch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

move //components/payments/content/*.mojom files to //components/payments/mojom To break dependency of //components/webdata_services on //components/payments/content after landing https://codereview.chromium.org/2801513002/ BUG=711952 Review-Url: https://codereview.chromium.org/2811593009 Cr-Original-Original-Commit-Position: refs/heads/master@{#464877} Committed: https://chromium.googlesource.com/chromium/src/+/b1b326893990633387f90546607ce8271d151a3a Review-Url: https://codereview.chromium.org/2811593009 Cr-Original-Commit-Position: refs/heads/master@{#464882} Committed: https://chromium.googlesource.com/chromium/src/+/3e1cedb46b52e6c09243993671a5a0ddb7a4eeed Review-Url: https://codereview.chromium.org/2811593009 Cr-Commit-Position: refs/heads/master@{#464892} Committed: https://chromium.googlesource.com/chromium/src/+/7ea59a953395e7a90ba8dce7f908cd06a69f180f

Patch Set 1 #

Total comments: 2

Patch Set 2 : move owner and add deps #

Patch Set 3 : updated more files for desktop compile #

Total comments: 2

Patch Set 4 : update more files and break /android to /content dependency #

Patch Set 5 : update web_app_manifest_section_table.h #

Patch Set 6 : update payment-request-mock.js to fix webkit test #

Patch Set 7 : Reland after updating chrome_content_browser_client.cc to fix android build #

Unified diffs Side-by-side diffs Delta from patch set Stats (+99 lines, -405 lines) Patch
M chrome/android/BUILD.gn View 1 2 3 4 5 6 3 chunks +6 lines, -6 lines 0 comments Download
M chrome/browser/BUILD.gn View 1 2 3 4 5 6 1 chunk +2 lines, -2 lines 0 comments Download
M chrome/browser/android/payments/service_worker_payment_app_bridge.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/chrome_content_browser_client.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/payments/payment_request_factory.h View 1 2 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/ui/views/payments/payment_request_browsertest_base.h View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/ui/views/payments/payment_request_views_util.h View 1 2 1 chunk +1 line, -1 line 0 comments Download
M components/payments/android/BUILD.gn View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M components/payments/android/DEPS View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M components/payments/android/web_app_manifest_section_table.h View 1 2 3 4 1 chunk +1 line, -1 line 0 comments Download
M components/payments/content/BUILD.gn View 1 2 3 4 5 6 4 chunks +4 lines, -34 lines 0 comments Download
D components/payments/content/OWNERS View 1 1 chunk +0 lines, -4 lines 0 comments Download
M components/payments/content/android/BUILD.gn View 1 2 2 chunks +3 lines, -3 lines 0 comments Download
M components/payments/content/android/payment_details_validation_android.cc View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
D components/payments/content/payment_app.mojom View 1 chunk +0 lines, -57 lines 0 comments Download
M components/payments/content/payment_details_validation.h View 1 2 1 chunk +1 line, -1 line 0 comments Download
M components/payments/content/payment_details_validation.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
D components/payments/content/payment_manifest_parser.mojom View 1 chunk +0 lines, -25 lines 0 comments Download
M components/payments/content/payment_manifest_parser_host.h View 1 2 1 chunk +1 line, -1 line 0 comments Download
M components/payments/content/payment_request.h View 1 2 1 chunk +1 line, -1 line 0 comments Download
D components/payments/content/payment_request.mojom View 1 chunk +0 lines, -223 lines 0 comments Download
M components/payments/content/payment_request_spec.h View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M components/payments/content/payment_request_spec_unittest.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M components/payments/content/payment_request_state.h View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M components/payments/content/payment_request_state_unittest.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M components/payments/content/payment_request_web_contents_manager.h View 1 2 1 chunk +1 line, -1 line 0 comments Download
M components/payments/content/payment_response_helper.h View 1 2 1 chunk +1 line, -1 line 0 comments Download
M components/payments/content/payment_response_helper_unittest.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M components/payments/content/payments_validators.h View 1 2 1 chunk +1 line, -1 line 0 comments Download
M components/payments/content/utility/BUILD.gn View 1 chunk +1 line, -1 line 0 comments Download
M components/payments/content/utility/payment_manifest_parser.h View 1 2 1 chunk +1 line, -1 line 0 comments Download
A components/payments/mojom/BUILD.gn View 1 chunk +33 lines, -0 lines 0 comments Download
A + components/payments/mojom/OWNERS View 1 0 chunks +-1 lines, --1 lines 0 comments Download
A + components/payments/mojom/payment_app.mojom View 1 chunk +1 line, -1 line 0 comments Download
A + components/payments/mojom/payment_manifest_parser.mojom View 0 chunks +-1 lines, --1 lines 0 comments Download
A + components/payments/mojom/payment_request.mojom View 0 chunks +-1 lines, --1 lines 0 comments Download
M content/browser/BUILD.gn View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M content/browser/payments/payment_app_browsertest.cc View 1 chunk +1 line, -1 line 0 comments Download
M content/browser/payments/payment_app_content_unittest_base.h View 1 chunk +1 line, -1 line 0 comments Download
M content/browser/payments/payment_app_context_impl.h View 1 chunk +1 line, -1 line 0 comments Download
M content/browser/payments/payment_app_database.h View 1 chunk +1 line, -1 line 0 comments Download
M content/browser/payments/payment_app_provider_impl_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M content/browser/payments/payment_manager.h View 1 chunk +1 line, -1 line 0 comments Download
M content/browser/payments/payment_manager_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M content/common/BUILD.gn View 1 2 1 chunk +1 line, -1 line 0 comments Download
M content/common/service_worker/service_worker_event_dispatcher.mojom View 1 chunk +1 line, -1 line 0 comments Download
M content/public/browser/DEPS View 1 chunk +1 line, -1 line 0 comments Download
M content/public/browser/payment_app_provider.h View 1 chunk +1 line, -1 line 0 comments Download
M content/renderer/BUILD.gn View 1 chunk +1 line, -1 line 0 comments Download
M content/renderer/service_worker/service_worker_context_client.h View 1 chunk +1 line, -1 line 0 comments Download
M content/renderer/service_worker/service_worker_type_converters.h View 1 chunk +1 line, -1 line 0 comments Download
M content/test/BUILD.gn View 1 2 3 4 5 6 3 chunks +4 lines, -4 lines 0 comments Download
M third_party/WebKit/LayoutTests/payments/resources/payment-request-mock.js View 1 2 3 4 5 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/modules/BUILD.gn View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/modules/payments/BUILD.gn View 1 chunk +2 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/modules/payments/PaymentAddress.h View 1 2 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/modules/payments/PaymentManager.h View 1 2 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/modules/payments/PaymentRequest.h View 1 2 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/modules/payments/PaymentResponse.h View 1 2 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/modules/payments/PaymentTestHelper.h View 1 2 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/modules/payments/PaymentsValidators.h View 1 2 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/public/BUILD.gn View 1 chunk +1 line, -1 line 0 comments Download

Messages

Total messages: 92 (65 generated)
gogerald1
Hi rouslan@, ptal
7 months, 1 week ago (2017-04-12 15:52:09 UTC) #13
please use gerrit instead
1) Please put a DEPS file in components/payments/android/ with a rule to exclude components/payments/content/. 2) ...
7 months, 1 week ago (2017-04-12 17:19:30 UTC) #14
gogerald1
Thanks, Hi cpu@, could you do a powerful review of this CL for the rest ...
7 months, 1 week ago (2017-04-12 17:36:26 UTC) #18
gogerald1
Hi dcheng@, please help review changes in *.mojom files
7 months, 1 week ago (2017-04-12 17:42:01 UTC) #20
gogerald1
Updated more files to compile for desktop, please review the latest patch 3.
7 months, 1 week ago (2017-04-12 21:15:53 UTC) #30
please use gerrit instead
https://codereview.chromium.org/2811593009/diff/120001/components/payments/mojom/DEPS File components/payments/mojom/DEPS (right): https://codereview.chromium.org/2811593009/diff/120001/components/payments/mojom/DEPS#newcode1 components/payments/mojom/DEPS:1: include_rules = [ No need for DEPS file in ...
7 months, 1 week ago (2017-04-12 21:26:40 UTC) #31
dcheng
rs lgtm for mojom
7 months, 1 week ago (2017-04-12 21:31:52 UTC) #32
gogerald1
https://codereview.chromium.org/2811593009/diff/120001/components/payments/mojom/DEPS File components/payments/mojom/DEPS (right): https://codereview.chromium.org/2811593009/diff/120001/components/payments/mojom/DEPS#newcode1 components/payments/mojom/DEPS:1: include_rules = [ On 2017/04/12 21:26:40, ಠ_ಠ wrote: > ...
7 months, 1 week ago (2017-04-12 21:47:22 UTC) #36
gogerald1
friendly ping cpu@,
7 months, 1 week ago (2017-04-13 17:45:01 UTC) #48
cpu_(ooo_6.6-7.5)
sorry, been sick. The bug # does not make sense to me. Maybe create a ...
7 months, 1 week ago (2017-04-14 19:57:52 UTC) #49
gogerald1
On 2017/04/14 19:57:52, cpu wrote: > sorry, been sick. > > The bug # does ...
7 months, 1 week ago (2017-04-15 19:07:28 UTC) #51
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2811593009/180001
7 months, 1 week ago (2017-04-15 19:07:47 UTC) #54
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_chromeos_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_chromeos_rel_ng/builds/406045)
7 months, 1 week ago (2017-04-15 20:27:25 UTC) #56
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2811593009/180001
7 months, 1 week ago (2017-04-15 20:41:12 UTC) #58
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_rel_ng/builds/431724)
7 months, 1 week ago (2017-04-15 22:16:41 UTC) #60
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2811593009/180001
7 months, 1 week ago (2017-04-16 01:09:36 UTC) #62
commit-bot: I haz the power
Committed patchset #6 (id:180001) as https://chromium.googlesource.com/chromium/src/+/b1b326893990633387f90546607ce8271d151a3a
7 months, 1 week ago (2017-04-16 03:22:48 UTC) #65
findit-for-me
A revert of this CL (patchset #6 id:180001) has been created in https://codereview.chromium.org/2820033002/ by findit-for-me@appspot.gserviceaccount.com. ...
7 months, 1 week ago (2017-04-16 03:51:34 UTC) #66
gogerald1
relanding this CL after submitting the internal counter part CL https://chrome-internal-review.googlesource.com/c/352832
7 months, 1 week ago (2017-04-16 04:01:32 UTC) #67
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2811593009/180001
7 months, 1 week ago (2017-04-16 04:03:07 UTC) #70
commit-bot: I haz the power
Committed patchset #6 (id:180001) as https://chromium.googlesource.com/chromium/src/+/3e1cedb46b52e6c09243993671a5a0ddb7a4eeed
7 months, 1 week ago (2017-04-16 04:16:41 UTC) #73
gogerald1
A revert of this CL (patchset #6 id:180001) has been created in https://codereview.chromium.org/2816303003/ by gogerald@chromium.org. ...
7 months, 1 week ago (2017-04-16 04:41:03 UTC) #74
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2811593009/200001
7 months, 1 week ago (2017-04-16 22:27:38 UTC) #86
commit-bot: I haz the power
Committed patchset #7 (id:200001) as https://chromium.googlesource.com/chromium/src/+/7ea59a953395e7a90ba8dce7f908cd06a69f180f
7 months, 1 week ago (2017-04-16 22:34:23 UTC) #89
Tobias Sargeant
A revert of this CL (patchset #7 id:200001) has been created in https://codereview.chromium.org/2823823002/ by tobiasjs@chromium.org. ...
7 months, 1 week ago (2017-04-17 08:53:28 UTC) #90
jam
Hi, can you help me understand what's wrong with components/webdata_services depending on //components/payments/android? I'm trying ...
5 months, 1 week ago (2017-06-13 05:05:45 UTC) #91
gogerald1
5 months, 1 week ago (2017-06-13 14:34:29 UTC) #92
Message was sent while issue was closed.
On 2017/06/13 05:05:45, jam (ooo 6-14 - 6-20) wrote:
> Hi, can you help me understand what's wrong with components/webdata_services
> depending on //components/payments/android?
> 
> I'm trying to understand why the pyaments mojom can't be in blink.

The main reason is components/webdata_services is not allowed to depend on
//components/payments/content on iOS as I can remember,

Powered by Google App Engine
This is Rietveld efc10ee0f